<?php
/**
 * The template for displaying all single posts
 *
 * @package WordPress
 * @subpackage bpm128
 * @since 1.0
 * @version 1.0
 */

get_header('main'); ?>

<div class="wrap">
	<div id="primary" class="content-area">
		<main id="main" class="site-main container" role="main">

			<?php
				/* Start the Loop */
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/post/content', get_post_format() );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

					the_post_navigation( array(
						'prev_text' => '<span class="screen-reader-text">' . __( 'Previous Post', 'bpm128' ) . '</span><span aria-hidden="true" class="nav-subtitle">' . __( 'Previous', 'bpm128' ) . '</span> <span class="nav-title"><span class="nav-title-icon-wrapper">' . bpm128_get_svg( array( 'icon' => 'arrow-left' ) ) . '</span>%title</span>',
						'next_text' => '<span class="screen-reader-text">' . __( 'Next Post', 'bpm128' ) . '</span><span aria-hidden="true" class="nav-subtitle">' . __( 'Next', 'bpm128' ) . '</span> <span class="nav-title">%title<span class="nav-title-icon-wrapper">' . bpm128_get_svg( array( 'icon' => 'arrow-right' ) ) . '</span></span>',
					) );

				endwhile; // End of the loop.
			?>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?php get_sidebar(); ?>
</div><!-- .wrap -->

<?php get_footer();
